namespace Brizco.Domain.CommandQueries.Commands;

public sealed record CreateComplexCommand(string Name, string Address, string SupportPhone) 
    : IRequest<ComplexSDto>;

public sealed record UpdateComplexCommand(Guid Id, string Name, string Address, string SupportPhone) 
    : IRequest<bool>;

public sealed record DeleteComplexCommand(Guid Id)
    : IRequest<bool>;



public sealed record CreateComplexUserCommand(Guid ComplexId, Guid UserId, List<Guid> RoleIds)
    : IRequest<ComplexUserSDto>;

public sealed record UpdateComplexUserCommand(Guid UserId,Guid ComplexId,List<Guid> RoleIds)
    : IRequest<bool>;

public sealed record DeleteComplexUserCommand(Guid UserId, Guid ComplexId)
    : IRequest<bool>;